## gate.jape.parser
Interface ParseCpslConstants

All Known Implementing Classes:
  ParseCpsl, ParseCpslTokenManager

public interface ParseCpslConstants

Field Summary
`static int` `assign`
`static int` `bar`
`static int` `bool`
`static int` `colon`
`static int` `colonplus`
`static int` `comma`
`static int` `commentChars`
`static int` `commentEnd`
`static int` `commentStart`
`static int` `DEFAULT`
`static int` `digits`
`static int` `EOF`
`static int` `equals`
`static int` `exponent`
`static int` `floatingPoint`
`static int` `ident`
`static int` `IN_PHASES`
`static int` `IN_STRING`
`static int` `input`
`static int` `integer`
`static int` `kleeneOp`
`static int` `leftBrace`
`static int` `leftBracket`
`static int` `letter`
`static int` `letterOrDigitOrDash`
`static int` `letters`
`static int` `lettersAndDigits`
`static int` `lettersAndDigitsAndDashes`
`static int` `macro`
`static int` `multiphase`
`static int` `newline`
`static int` `option`
`static int` `other`
`static int` `path`
`static int` `period`
`static int` `phase`
`static int` `phases`
`static int` `PHASES_WITHIN_COMMENT`
`static int` `phasesCommentChars`
`static int` `phasesCommentEnd`
`static int` `phasesCommentStart`
`static int` `phasesSingleLineCpslStyleComment`
`static int` `phasesSingleLineCStyleComment`
`static int` `phasesWhiteSpace`
`static int` `pling`
`static int` `priority`
`static int` `rightBrace`
`static int` `rightBracket`
`static int` `rule`
`static int` `semicolon`
`static int` `singleLineCpslStyleComment`
`static int` `singleLineCStyleComment`
`static int` `space`
`static int` `spaces`
`static int` `string`
`static String[]` `tokenImage`
`static int` `whiteSpace`
`static int` `WITHIN_COMMENT`

Field Detail

### EOF

    public static final int EOF

### space

    public static final int space

### spaces

    public static final int spaces

### newline

    public static final int newline

### digits

    public static final int digits

### letter

    public static final int letter

### letters

    public static final int letters

### lettersAndDigits

    public static final int lettersAndDigits

### letterOrDigitOrDash

    public static final int letterOrDigitOrDash

### lettersAndDigitsAndDashes

    public static final int lettersAndDigitsAndDashes

### multiphase

    public static final int multiphase

### phases

    public static final int phases

### path

    public static final int path

### phasesWhiteSpace

    public static final int phasesWhiteSpace

### phasesSingleLineCStyleComment

    public static final int phasesSingleLineCStyleComment

### phasesSingleLineCpslStyleComment

    public static final int phasesSingleLineCpslStyleComment

### phasesCommentStart

    public static final int phasesCommentStart

### phasesCommentChars

    public static final int phasesCommentChars

### phasesCommentEnd

    public static final int phasesCommentEnd

### phase

    public static final int phase

### input

    public static final int input

### option

    public static final int option

### rule

    public static final int rule

### macro

    public static final int macro

### priority

    public static final int priority

### pling

    public static final int pling

### kleeneOp

    public static final int kleeneOp

### integer

    public static final int integer

### string

    public static final int string

### bool

    public static final int bool

### ident

    public static final int ident

### floatingPoint

    public static final int floatingPoint

### exponent

    public static final int exponent

### colon

    public static final int colon

### semicolon

    public static final int semicolon

### period

    public static final int period

### bar

    public static final int bar

### comma

    public static final int comma

### leftBrace

    public static final int leftBrace

### rightBrace

    public static final int rightBrace

### leftBracket

    public static final int leftBracket

### rightBracket

    public static final int rightBracket

### assign

    public static final int assign

### equals

    public static final int equals

### colonplus

    public static final int colonplus

### whiteSpace

    public static final int whiteSpace

### singleLineCStyleComment

    public static final int singleLineCStyleComment

### singleLineCpslStyleComment

    public static final int singleLineCpslStyleComment

### commentStart

    public static final int commentStart

### commentChars

    public static final int commentChars

### commentEnd

    public static final int commentEnd

### other

    public static final int other

### DEFAULT

    public static final int DEFAULT

### IN_PHASES

    public static final int IN_PHASES

### PHASES_WITHIN_COMMENT

    public static final int PHASES_WITHIN_COMMENT

### IN_STRING

    public static final int IN_STRING

### WITHIN_COMMENT

    public static final int WITHIN_COMMENT

### tokenImage

    public static final String[] tokenImage